--- old/usr/src/cmd/smserverd/Makefile	Thu Aug  8 11:13:04 2019
+++ new/usr/src/cmd/smserverd/Makefile	Thu Aug  8 11:13:04 2019
@@ -46,7 +46,7 @@
 
 CPPFLAGS += -D_REENTRANT
 CFLAGS += $(CCVERBOSE)
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-unused-variable
 
 # not linted
--- old/usr/src/cmd/sort/Makefile.com	Thu Aug  8 11:13:05 2019
+++ new/usr/src/cmd/sort/Makefile.com	Thu Aug  8 11:13:05 2019
@@ -86,7 +86,7 @@
 LINTFLAGS +=	-U_FILE_OFFSET_BITS
 
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-unused-function
 
 # not linted
--- old/usr/src/cmd/stat/iostat/Makefile	Thu Aug  8 11:13:05 2019
+++ new/usr/src/cmd/stat/iostat/Makefile	Thu Aug  8 11:13:05 2019
@@ -32,7 +32,7 @@
 
 LDLIBS += -lkstat -ldevinfo -lavl
 CFLAGS += $(CCVERBOSE) -I${STATCOMMONDIR}
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-switch
 CERRWARN += -_gcc=-Wno-parentheses
 FILEMODE= 0555
--- old/usr/src/cmd/stat/kstat/Makefile	Thu Aug  8 11:13:06 2019
+++ new/usr/src/cmd/stat/kstat/Makefile	Thu Aug  8 11:13:06 2019
@@ -32,7 +32,7 @@
 
 LDLIBS += -lavl -lcmdutils -ldevinfo -lgen -lkstat
 CFLAGS += $(CCVERBOSE) -I${STATCOMMONDIR}
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-switch
 CERRWARN += -_gcc=-Wno-parentheses
 
--- old/usr/src/cmd/stat/mpstat/Makefile	Thu Aug  8 11:13:07 2019
+++ new/usr/src/cmd/stat/mpstat/Makefile	Thu Aug  8 11:13:07 2019
@@ -32,7 +32,7 @@
 
 LDLIBS += -ldevinfo -lkstat -lavl
 CFLAGS += $(CCVERBOSE) -I${STATCOMMONDIR}
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-switch
 CERRWARN += -_gcc=-Wno-parentheses
 FILEMODE= 0555
--- old/usr/src/cmd/stat/vmstat/Makefile	Thu Aug  8 11:13:08 2019
+++ new/usr/src/cmd/stat/vmstat/Makefile	Thu Aug  8 11:13:08 2019
@@ -34,7 +34,7 @@
 LDLIBS += -ldevinfo -lkstat -lavl
 CFLAGS += $(CCVERBOSE) -I${STATCOMMONDIR}
 CERRWARN += -_gcc=-Wno-switch
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-parentheses
 
 SMOFF += signed
--- old/usr/src/cmd/stmsboot/Makefile	Thu Aug  8 11:13:09 2019
+++ new/usr/src/cmd/stmsboot/Makefile	Thu Aug  8 11:13:09 2019
@@ -40,7 +40,7 @@
 
 ROOTMANIFESTDIR = $(ROOTSVCSYSTEMDEVICE)
 LDLIBS += -ldevinfo -ldevid -lnvpair -lumem
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/cmd/streams/strcmd/Makefile	Thu Aug  8 11:13:10 2019
+++ new/usr/src/cmd/streams/strcmd/Makefile	Thu Aug  8 11:13:10 2019
@@ -26,7 +26,7 @@
 
 include ../../Makefile.cmd
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/cmd/strings/Makefile.com	Thu Aug  8 11:13:10 2019
+++ new/usr/src/cmd/strings/Makefile.com	Thu Aug  8 11:13:10 2019
@@ -33,7 +33,7 @@
 CFLAGS += $(CCVERBOSE)
 CFLAGS64 += $(CCVERBOSE)
 CERRWARN += -_gcc=-Wno-switch
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/cmd/sunpc/other/Makefile	Thu Aug  8 11:13:11 2019
+++ new/usr/src/cmd/sunpc/other/Makefile	Thu Aug  8 11:13:11 2019
@@ -30,7 +30,7 @@
 include ../../Makefile.cmd
 
 CERRWARN += -_gcc=-Wno-implicit-function-declaration
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-unused-variable
 
 # not linted
--- old/usr/src/cmd/svc/configd/Makefile	Thu Aug  8 11:13:12 2019
+++ new/usr/src/cmd/svc/configd/Makefile	Thu Aug  8 11:13:12 2019
@@ -59,7 +59,7 @@
 CERRWARN += -_gcc=-Wno-unused-label
 CERRWARN += -_gcc=-Wno-unused-variable
 CERRWARN += -_gcc=-Wno-unused-function
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 MYLDLIBS = -lumem -luutil
 LDLIBS	+= -lsecdb -lbsm $(MYLDLIBS)
 LINTFLAGS += -errtags -erroff=E_BAD_FORMAT_ARG_TYPE2 -erroff=E_NAME_DEF_NOT_USED2
--- old/usr/src/cmd/svc/lsvcrun/Makefile	Thu Aug  8 11:13:13 2019
+++ new/usr/src/cmd/svc/lsvcrun/Makefile	Thu Aug  8 11:13:13 2019
@@ -35,7 +35,7 @@
 
 LDLIBS +=	-lcontract -lscf -luutil
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 lint := LINTFLAGS = -ux
 
--- old/usr/src/cmd/svc/mfstscan/Makefile	Thu Aug  8 11:13:14 2019
+++ new/usr/src/cmd/svc/mfstscan/Makefile	Thu Aug  8 11:13:14 2019
@@ -44,7 +44,7 @@
 LDLIBS +=	-lscf -luutil -lmd5
 CLOBBERFILES += $(POFILES)
 
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-unused-label
 
 lint := LINTFLAGS = -ux -erroff=E_GLOBAL_COULD_BE_STATIC2
--- old/usr/src/cmd/svc/startd/Makefile	Thu Aug  8 11:13:16 2019
+++ new/usr/src/cmd/svc/startd/Makefile	Thu Aug  8 11:13:17 2019
@@ -71,7 +71,7 @@
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-unused-label
 CERRWARN += -_gcc=-Wno-switch
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 # these look like real bugs here, but ...
 SMOFF += impossible_mask,signed_integer_overflow_check
--- old/usr/src/cmd/svc/svcadm/Makefile	Thu Aug  8 11:13:20 2019
+++ new/usr/src/cmd/svc/svcadm/Makefile	Thu Aug  8 11:13:20 2019
@@ -34,7 +34,7 @@
 LDLIBS +=	-lscf -luutil -lcontract
 
 CERRWARN +=	-_gcc=-Wno-switch
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 lint := LINTFLAGS = -ux
 
--- old/usr/src/cmd/svc/svccfg/Makefile	Thu Aug  8 11:13:22 2019
+++ new/usr/src/cmd/svc/svccfg/Makefile	Thu Aug  8 11:13:22 2019
@@ -77,7 +77,7 @@
 CERRWARN +=	-_gcc=-Wno-unused-label
 CERRWARN +=	-_gcc=-Wno-implicit-function-declaration
 CERRWARN +=	-_gcc=-Wno-switch
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-parentheses
 
--- old/usr/src/cmd/svc/svcprop/Makefile	Thu Aug  8 11:13:22 2019
+++ new/usr/src/cmd/svc/svcprop/Makefile	Thu Aug  8 11:13:22 2019
@@ -35,7 +35,7 @@
 
 lint := LINTFLAGS = -ux
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/cmd/svc/svcs/Makefile	Thu Aug  8 11:13:23 2019
+++ new/usr/src/cmd/svc/svcs/Makefile	Thu Aug  8 11:13:23 2019
@@ -39,7 +39,7 @@
 
 lint := LINTFLAGS = -mux
 CERRWARN += -_gcc=-Wno-unused-label
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-parentheses
 
 .KEEP_STATE:
--- old/usr/src/cmd/svr4pkg/Makefile.svr4pkg	Thu Aug  8 11:13:23 2019
+++ new/usr/src/cmd/svr4pkg/Makefile.svr4pkg	Thu Aug  8 11:13:23 2019
@@ -36,7 +36,7 @@
 
 
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-address
 
 # multiple issues in this old code
--- old/usr/src/cmd/svr4pkg/libinst/Makefile	Thu Aug  8 11:13:24 2019
+++ new/usr/src/cmd/svr4pkg/libinst/Makefile	Thu Aug  8 11:13:24 2019
@@ -65,7 +65,7 @@
 
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-implicit-function-declaration
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-clobbered
 CERRWARN += -_gcc=-Wno-unused-variable
 
--- old/usr/src/cmd/swap/Makefile.com	Thu Aug  8 11:13:25 2019
+++ new/usr/src/cmd/swap/Makefile.com	Thu Aug  8 11:13:25 2019
@@ -33,7 +33,7 @@
 CFLAGS +=	$(CCVERBOSE)
 CPPFLAGS +=	-D_LARGEFILE64_SOURCE
 CFLAGS64 +=	$(CCVERBOSE)
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/syseventadm/Makefile	Thu Aug  8 11:13:25 2019
+++ new/usr/src/cmd/syseventadm/Makefile	Thu Aug  8 11:13:25 2019
@@ -32,7 +32,7 @@
 include ../Makefile.cmd
 
 FILEMODE= 0555
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 POFILES = $(SRCS:.c=.po)
 
--- old/usr/src/cmd/syseventd/daemons/syseventd/Makefile	Thu Aug  8 11:13:26 2019
+++ new/usr/src/cmd/syseventd/daemons/syseventd/Makefile	Thu Aug  8 11:13:26 2019
@@ -29,7 +29,7 @@
 
 include ../Makefile.com
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/cmd/syseventd/modules/sysevent_conf_mod/Makefile	Thu Aug  8 11:13:27 2019
+++ new/usr/src/cmd/syseventd/modules/sysevent_conf_mod/Makefile	Thu Aug  8 11:13:27 2019
@@ -30,7 +30,7 @@
 LDLIBS +=	-lnvpair
 CPPFLAGS +=	-I ../../daemons/syseventconfd
 
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/cmd/syseventd/modules/zfs_mod/Makefile	Thu Aug  8 11:13:27 2019
+++ new/usr/src/cmd/syseventd/modules/zfs_mod/Makefile	Thu Aug  8 11:13:27 2019
@@ -29,7 +29,7 @@
 CPPFLAGS += -I../../../../lib/libc/inc
 LDLIBS += -lzfs -ldevid -lcmdutils -lnvpair
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/cmd/syslogd/Makefile.com	Thu Aug  8 11:13:28 2019
+++ new/usr/src/cmd/syslogd/Makefile.com	Thu Aug  8 11:13:29 2019
@@ -35,7 +35,7 @@
 include ../../Makefile.cmd
 
 $(PROG) lint 	:= LDLIBS += -lscf -lnsl
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/tar/Makefile	Thu Aug  8 11:13:29 2019
+++ new/usr/src/cmd/tar/Makefile	Thu Aug  8 11:13:29 2019
@@ -38,7 +38,7 @@
 LDLIBS += -lsec -lcmdutils -lnvpair -ltsol
 
 CFLAGS += $(CCVERBOSE)
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/tbl/Makefile	Thu Aug  8 11:13:29 2019
+++ new/usr/src/cmd/tbl/Makefile	Thu Aug  8 11:13:29 2019
@@ -39,7 +39,7 @@
 
 CERRWARN	+= -_gcc=-Wno-implicit-function-declaration
 CERRWARN	+= -_gcc=-Wno-parentheses
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-char-subscripts
 
 # not linted
--- old/usr/src/cmd/tcopy/Makefile	Thu Aug  8 11:13:30 2019
+++ new/usr/src/cmd/tcopy/Makefile	Thu Aug  8 11:13:30 2019
@@ -30,7 +30,7 @@
 
 CERRWARN +=	-_gcc=-Wno-implicit-function-declaration
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-extra
 
 # not linted
--- old/usr/src/cmd/tcpd/Makefile	Thu Aug  8 11:13:30 2019
+++ new/usr/src/cmd/tcpd/Makefile	Thu Aug  8 11:13:30 2019
@@ -25,7 +25,7 @@
 CERRWARN +=	-erroff=E_IMPLICIT_DECL_FUNC_RETURN_INT
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-implicit-function-declaration
 CERRWARN +=	-_gcc=-Wno-return-type
 CERRWARN +=	-_gcc=-Wno-clobbered
--- old/usr/src/cmd/th_tools/Makefile	Thu Aug  8 11:13:31 2019
+++ new/usr/src/cmd/th_tools/Makefile	Thu Aug  8 11:13:31 2019
@@ -33,7 +33,7 @@
 CSTD= $(CSTD_GNU99)
 CFLAGS += $(CCVERBOSE)
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 SRCS = $(PROG:%=%.c)
 OBJECTS = $(SRCS:%.c=%.o)
--- old/usr/src/cmd/tic/Makefile.common	Thu Aug  8 11:13:32 2019
+++ new/usr/src/cmd/tic/Makefile.common	Thu Aug  8 11:13:32 2019
@@ -45,7 +45,7 @@
 CERRWARN +=	-_gcc=-Wno-char-subscripts
 CERRWARN +=	-_gcc=-Wno-implicit-function-declaration
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/tip/Makefile	Thu Aug  8 11:13:33 2019
+++ new/usr/src/cmd/tip/Makefile	Thu Aug  8 11:13:33 2019
@@ -62,7 +62,7 @@
 CPPFLAGS +=	-DDEFBR=300 -DDEFFS=BUFSIZ -DACULOG -DUSG
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-clobbered
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CONFIG=	-DV831 -DVENTEL -DV3451 -DDF02 -DDF03 -DBIZ1031 -DBIZ1022 -DHAYES
 ACULIB=	aculib/aculib.a
 LDLIBS=	$(ACULIB) $(LDLIBS.cmd)
--- old/usr/src/cmd/tnf/prex/Makefile.com	Thu Aug  8 11:13:34 2019
+++ new/usr/src/cmd/tnf/prex/Makefile.com	Thu Aug  8 11:13:34 2019
@@ -67,7 +67,7 @@
 CERRWARN +=	-_gcc=-Wno-unused-label
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/tnf/tnfxtract/Makefile.com	Thu Aug  8 11:13:34 2019
+++ new/usr/src/cmd/tnf/tnfxtract/Makefile.com	Thu Aug  8 11:13:34 2019
@@ -37,7 +37,7 @@
 
 LFLAGS=		-v
 LDLIBS +=	-lkvm
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/troff/troff.d/Makefile	Thu Aug  8 11:13:34 2019
+++ new/usr/src/cmd/troff/troff.d/Makefile	Thu Aug  8 11:13:35 2019
@@ -48,7 +48,7 @@
 CERRWARN +=	-_gcc=-Wno-implicit-function-declaration
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-extra
 
 # "parse error: parsing (i (9223372034707292160-96) >= 65)"
--- old/usr/src/cmd/truss/Makefile.com	Thu Aug  8 11:13:36 2019
+++ new/usr/src/cmd/truss/Makefile.com	Thu Aug  8 11:13:36 2019
@@ -38,7 +38,7 @@
 CFLAGS		+= $(CCVERBOSE)
 CFLAGS64	+= $(CCVERBOSE)
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 CERRWARN	+= -_gcc=-Wno-switch
 
 # not linted
--- old/usr/src/cmd/ttymon/Makefile	Thu Aug  8 11:13:39 2019
+++ new/usr/src/cmd/ttymon/Makefile	Thu Aug  8 11:13:39 2019
@@ -76,7 +76,7 @@
 
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-unused-variable
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-extra
 
 # not linted
--- old/usr/src/cmd/ucodeadm/Makefile	Thu Aug  8 11:13:41 2019
+++ new/usr/src/cmd/ucodeadm/Makefile	Thu Aug  8 11:13:42 2019
@@ -48,7 +48,7 @@
 
 CPPFLAGS = -I../../common -I../../uts/common
 CFLAGS	+= $(CCVERBOSE)
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-type-limits
 LINTFLAGS += -errtags -erroff=E_NAME_DEF_NOT_USED2
 LINTFLAGS += -erroff=E_INCONS_ARG_DECL2,E_INCONS_VAL_TYPE_DECL2
--- old/usr/src/cmd/uname/Makefile	Thu Aug  8 11:13:44 2019
+++ new/usr/src/cmd/uname/Makefile	Thu Aug  8 11:13:45 2019
@@ -28,7 +28,7 @@
 include ../Makefile.cmd
 
 CFLAGS += $(CCVERBOSE)
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/cmd/unpack/Makefile	Thu Aug  8 11:13:47 2019
+++ new/usr/src/cmd/unpack/Makefile	Thu Aug  8 11:13:47 2019
@@ -28,7 +28,7 @@
 include ../Makefile.cmd
 CFLAGS += $(CCVERBOSE)
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CPPFLAGS += -D_FILE_OFFSET_BITS=64 
 
 LDLIBS += -lcmdutils -lsec
--- old/usr/src/cmd/users/Makefile	Thu Aug  8 11:13:50 2019
+++ new/usr/src/cmd/users/Makefile	Thu Aug  8 11:13:50 2019
@@ -30,7 +30,7 @@
 include ../Makefile.cmd
 
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/cmd/vi/misc/Makefile	Thu Aug  8 11:13:51 2019
+++ new/usr/src/cmd/vi/misc/Makefile	Thu Aug  8 11:13:51 2019
@@ -41,7 +41,7 @@
 
 CERRWARN += -_gcc=-Wno-char-subscripts
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-implicit-function-declaration
 CERRWARN += -_gcc=-Wno-unused-variable
 
--- old/usr/src/cmd/vi/port/Makefile	Thu Aug  8 11:13:52 2019
+++ new/usr/src/cmd/vi/port/Makefile	Thu Aug  8 11:13:52 2019
@@ -59,7 +59,7 @@
 CERRWARN += -_gcc=-Wno-unused-variable
 CERRWARN += -_gcc=-Wno-unused-label
 CERRWARN += -_gcc=-Wno-unused-value
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-address
 
 # way too old
--- old/usr/src/cmd/volcheck/Makefile	Thu Aug  8 11:13:53 2019
+++ new/usr/src/cmd/volcheck/Makefile	Thu Aug  8 11:13:53 2019
@@ -45,7 +45,7 @@
 CERRWARN +=	-_gcc=-Wno-switch
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-unused-function
 
 # not linted
--- old/usr/src/cmd/volrmmount/Makefile	Thu Aug  8 11:13:54 2019
+++ new/usr/src/cmd/volrmmount/Makefile	Thu Aug  8 11:13:54 2019
@@ -45,7 +45,7 @@
 CERRWARN +=	-_gcc=-Wno-switch
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-unused-function
 
 # not linted
--- old/usr/src/cmd/vt/Makefile	Thu Aug  8 11:13:54 2019
+++ new/usr/src/cmd/vt/Makefile	Thu Aug  8 11:13:54 2019
@@ -33,7 +33,7 @@
 include ../Makefile.cmd
 
 CFLAGS += $(CCVERBOSE)
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 vtdaemon := LDLIBS += -lpam -lbsm
 lint_vtdaemon := LDLIBS += -lpam -lbsm
--- old/usr/src/cmd/wall/Makefile	Thu Aug  8 11:13:55 2019
+++ new/usr/src/cmd/wall/Makefile	Thu Aug  8 11:13:55 2019
@@ -32,7 +32,7 @@
 
 LDLIBS += -lzonecfg -lcontract
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 SMOFF += leaks
 
--- old/usr/src/cmd/ypcmd/Makefile	Thu Aug  8 11:13:56 2019
+++ new/usr/src/cmd/ypcmd/Makefile	Thu Aug  8 11:13:56 2019
@@ -147,7 +147,7 @@
 CERRWARN +=	-_gcc=-Wno-implicit-function-declaration
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-unused-variable
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-switch
 CERRWARN +=	-_gcc=-Wno-extra
 CERRWARN +=	-_gcc=-Wno-unused-label
--- old/usr/src/cmd/ypcmd/revnetgroup/Makefile	Thu Aug  8 11:13:56 2019
+++ new/usr/src/cmd/ypcmd/revnetgroup/Makefile	Thu Aug  8 11:13:56 2019
@@ -35,7 +35,7 @@
 
 CERRWARN += -_gcc=-Wno-implicit-function-declaration
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/ypcmd/yppasswd/Makefile	Thu Aug  8 11:13:56 2019
+++ new/usr/src/cmd/ypcmd/yppasswd/Makefile	Thu Aug  8 11:13:56 2019
@@ -59,7 +59,7 @@
 
 CERRWARN +=		-_gcc=-Wno-implicit-function-declaration
 CERRWARN +=		-_gcc=-Wno-parentheses
-CERRWARN +=		-_gcc=-Wno-uninitialized
+CERRWARN +=		$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/zic/Makefile.common	Thu Aug  8 11:13:56 2019
+++ new/usr/src/cmd/zic/Makefile.common	Thu Aug  8 11:13:56 2019
@@ -12,6 +12,6 @@
 SRCS=		$(OBJS:%.o=%.c)
 
 CERRWARN +=	-_gcc=-Wno-unused-variable
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 SMOFF +=	signed
--- old/usr/src/cmd/zinject/Makefile.com	Thu Aug  8 11:13:57 2019
+++ new/usr/src/cmd/zinject/Makefile.com	Thu Aug  8 11:13:57 2019
@@ -44,7 +44,7 @@
 CPPFLAGS.first = -I$(SRC)/lib/libfakekernel/common -D_FAKE_KERNEL
 CPPFLAGS += -D_LARGEFILE64_SOURCE=1 -D_REENTRANT $(INCS)
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-switch
 
 LINTFLAGS += -erroff=E_STATIC_UNUSED
--- old/usr/src/cmd/zlogin/Makefile	Thu Aug  8 11:13:57 2019
+++ new/usr/src/cmd/zlogin/Makefile	Thu Aug  8 11:13:57 2019
@@ -21,22 +21,24 @@
 #
 # Copyright (c) 2003, 2010, Oracle and/or its affiliates. All rights reserved.
 #
-# Copyright (c) 2018, Joyent, Inc.
+# Copyright 2019 Joyent, Inc.
+#
 
 PROG = zlogin
 
 include ../Makefile.cmd
 
-LINTFLAGS += -u
 LDLIBS += -lsocket -lzonecfg -lcontract -lbrand -lsecdb
 CFLAGS += $(CCVERBOSE)
 FILEMODE = 0555
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
 
+CSTD = $(CSTD_GNU99)
+
 .KEEP_STATE:
 
 all: $(PROG)
@@ -46,6 +48,4 @@
 clean:
 	$(RM) $(OBJS)
 
-lint:	lint_PROG
-
 include ../Makefile.targ
--- old/usr/src/cmd/zlogin/zlogin.c	Thu Aug  8 11:13:57 2019
+++ new/usr/src/cmd/zlogin/zlogin.c	Thu Aug  8 11:13:57 2019
@@ -23,6 +23,7 @@
  * Copyright 2013 DEY Storage Systems, Inc.
  * Copyright (c) 2014 Gary Mills
  * Copyright 2015 Nexenta Systems, Inc. All rights reserved.
+ * Copyright 2019 Joyent, Inc.
  */
 
 /*
@@ -612,7 +613,6 @@
 	char ibuf[ZLOGIN_BUFSIZ];
 	int nbytes;
 	char *buf = ibuf;
-	char c = *buf;
 
 	nbytes = read(STDIN_FILENO, ibuf, ZLOGIN_RDBUFSIZ);
 	if (nbytes == -1 && (errno != EINTR || dead))
@@ -625,7 +625,7 @@
 	if (nbytes == 0)
 		return (1);
 
-	for (c = *buf; nbytes > 0; c = *buf, --nbytes) {
+	for (char c = *buf; nbytes > 0; c = *buf, --nbytes) {
 		buf++;
 		if (beginning_of_line && !nocmdchar) {
 			beginning_of_line = B_FALSE;
--- old/usr/src/cmd/zlook/Makefile.com	Thu Aug  8 11:13:58 2019
+++ new/usr/src/cmd/zlook/Makefile.com	Thu Aug  8 11:13:58 2019
@@ -34,7 +34,7 @@
 CFLAGS64 += $(CCGDEBUG) $(CCVERBOSE)
 CPPFLAGS += -D_LARGEFILE64_SOURCE=1 -D_REENTRANT $(INCS)
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/cmd/zoneadm/Makefile	Thu Aug  8 11:13:59 2019
+++ new/usr/src/cmd/zoneadm/Makefile	Thu Aug  8 11:13:59 2019
@@ -40,7 +40,7 @@
 
 INCS += -I../../common/zfs
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 .KEEP_STATE:
 
--- old/usr/src/cmd/zoneadmd/Makefile	Thu Aug  8 11:13:59 2019
+++ new/usr/src/cmd/zoneadmd/Makefile	Thu Aug  8 11:13:59 2019
@@ -40,7 +40,7 @@
 CFLAGS += $(CCVERBOSE)
 CERRWARN += -_gcc=-Wno-switch
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 LDLIBS += -lsocket -lzonecfg -lnsl -ldevinfo -ldevice -lnvpair \
 	-lgen -lbsm -lcontract -lzfs -luuid -lbrand -ldladm -ltsnet -ltsol \
--- old/usr/src/cmd/zonecfg/Makefile	Thu Aug  8 11:13:59 2019
+++ new/usr/src/cmd/zonecfg/Makefile	Thu Aug  8 11:13:59 2019
@@ -42,7 +42,7 @@
 LDFLAGS +=	$(MAPOPTS)
 CLEANFILES +=	zonecfg_lex.c zonecfg_grammar.tab.c zonecfg_grammar.tab.h
 
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-unused-label
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-implicit-function-declaration
--- old/usr/src/cmd/zonestat/zonestat/Makefile	Thu Aug  8 11:14:00 2019
+++ new/usr/src/cmd/zonestat/zonestat/Makefile	Thu Aug  8 11:14:00 2019
@@ -32,7 +32,7 @@
 LDLIBS 		+= -lscf -lzonestat -lumem
 LINTFLAGS	+= -u
 
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/cmd/zonestat/zonestatd/Makefile	Thu Aug  8 11:14:00 2019
+++ new/usr/src/cmd/zonestat/zonestatd/Makefile	Thu Aug  8 11:14:00 2019
@@ -41,7 +41,7 @@
 LINTFLAGS	+= -u
 CERRWARN 	+= -_gcc=-Wno-parentheses
 CERRWARN 	+= -_gcc=-Wno-unused-label
-CERRWARN 	+= -_gcc=-Wno-uninitialized
+CERRWARN 	+= $(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/lib/abi/apptrace/Makefile.com	Thu Aug  8 11:14:00 2019
+++ new/usr/src/lib/abi/apptrace/Makefile.com	Thu Aug  8 11:14:00 2019
@@ -32,7 +32,7 @@
 LIBS =		$(DYNLIB)
 CPPFLAGS =      -I. $(CPPFLAGS.master)
 
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # No mapfile here
 MAPFILES =
--- old/usr/src/lib/auditd_plugins/syslog/Makefile.com	Thu Aug  8 11:14:01 2019
+++ new/usr/src/lib/auditd_plugins/syslog/Makefile.com	Thu Aug  8 11:14:01 2019
@@ -49,7 +49,7 @@
 CPPFLAGS	+= -I$(LIBBSM)
 
 CERRWARN	+= -_gcc=-Wno-char-subscripts
-CERRWARN	+= -_gcc=-Wno-uninitialized
+CERRWARN	+= $(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/lib/brand/solaris10/s10_brand/Makefile.com	Thu Aug  8 11:14:01 2019
+++ new/usr/src/lib/brand/solaris10/s10_brand/Makefile.com	Thu Aug  8 11:14:01 2019
@@ -86,7 +86,7 @@
 LINTFLAGS +=	-erroff=E_STATIC_UNUSED
 LINTFLAGS64 +=	-erroff=E_STATIC_UNUSED
 
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 $(LIBS):= PICS += $(SHAREDOBJS)
 
--- old/usr/src/lib/cfgadm_plugins/fp/Makefile.com	Thu Aug  8 11:14:01 2019
+++ new/usr/src/lib/cfgadm_plugins/fp/Makefile.com	Thu Aug  8 11:14:01 2019
@@ -47,7 +47,7 @@
 
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-char-subscripts
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-switch
 CERRWARN +=	-_gcc=-Wno-address
 
--- old/usr/src/lib/cfgadm_plugins/ib/Makefile.com	Thu Aug  8 11:14:01 2019
+++ new/usr/src/lib/cfgadm_plugins/ib/Makefile.com	Thu Aug  8 11:14:01 2019
@@ -46,7 +46,7 @@
 
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-char-subscripts
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-unused-value
 
 # not linted
--- old/usr/src/lib/cfgadm_plugins/pci/Makefile.com	Thu Aug  8 11:14:02 2019
+++ new/usr/src/lib/cfgadm_plugins/pci/Makefile.com	Thu Aug  8 11:14:02 2019
@@ -50,7 +50,7 @@
 
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-char-subscripts
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/lib/cfgadm_plugins/sata/Makefile.com	Thu Aug  8 11:14:02 2019
+++ new/usr/src/lib/cfgadm_plugins/sata/Makefile.com	Thu Aug  8 11:14:02 2019
@@ -45,7 +45,7 @@
 
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-char-subscripts
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 LDLIBS +=	-lc -ldevice -ldevinfo -lrcm -lnvpair
 
--- old/usr/src/lib/cfgadm_plugins/sbd/Makefile.com	Thu Aug  8 11:14:03 2019
+++ new/usr/src/lib/cfgadm_plugins/sbd/Makefile.com	Thu Aug  8 11:14:03 2019
@@ -50,7 +50,7 @@
 
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-char-subscripts
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/lib/cfgadm_plugins/scsi/Makefile.com	Thu Aug  8 11:14:03 2019
+++ new/usr/src/lib/cfgadm_plugins/scsi/Makefile.com	Thu Aug  8 11:14:03 2019
@@ -41,7 +41,7 @@
 CFLAGS +=	$(CCVERBOSE)
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-char-subscripts
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-address
 
 # not linted
--- old/usr/src/lib/cfgadm_plugins/scsi/SUNW,SPARC-Enterprise/Makefile.com	Thu Aug  8 11:14:03 2019
+++ new/usr/src/lib/cfgadm_plugins/scsi/SUNW,SPARC-Enterprise/Makefile.com	Thu Aug  8 11:14:03 2019
@@ -50,7 +50,7 @@
 
 CFLAGS +=	$(CCVERBOSE)
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-address
 CERRWARN +=	-_gcc=-Wno-char-subscripts
 
--- old/usr/src/lib/cfgadm_plugins/shp/Makefile.com	Thu Aug  8 11:14:04 2019
+++ new/usr/src/lib/cfgadm_plugins/shp/Makefile.com	Thu Aug  8 11:14:04 2019
@@ -50,7 +50,7 @@
 
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-char-subscripts
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-unused-variable
 
 # not linted
--- old/usr/src/lib/cfgadm_plugins/sysctrl/Makefile.com	Thu Aug  8 11:14:04 2019
+++ new/usr/src/lib/cfgadm_plugins/sysctrl/Makefile.com	Thu Aug  8 11:14:04 2019
@@ -55,7 +55,7 @@
 
 CERRWARN +=	-_gcc=-Wno-switch
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # not linted
 SMATCH=off
--- old/usr/src/lib/cfgadm_plugins/usb/Makefile.com	Thu Aug  8 11:14:04 2019
+++ new/usr/src/lib/cfgadm_plugins/usb/Makefile.com	Thu Aug  8 11:14:04 2019
@@ -46,7 +46,7 @@
 
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-char-subscripts
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-unused-value
 
 # not linted
--- old/usr/src/lib/efcode/Makefile.efcode	Thu Aug  8 11:14:05 2019
+++ new/usr/src/lib/efcode/Makefile.efcode	Thu Aug  8 11:14:05 2019
@@ -50,7 +50,7 @@
 CERRWARN += -_gcc=-Wno-unused-function
 CERRWARN += -_gcc=-Wno-unused-value
 CERRWARN += -_gcc=-Wno-parentheses
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-type-limits
 
 EFCODE64DIR = /usr/lib/efcode/$(MACH64)
--- old/usr/src/lib/efcode/interpreter/Makefile	Thu Aug  8 11:14:05 2019
+++ new/usr/src/lib/efcode/interpreter/Makefile	Thu Aug  8 11:14:05 2019
@@ -35,7 +35,7 @@
 CPPFLAGS += -DDEBUG -DFCODE_INTERNAL
 CPPFLAGS += -I ../include -I $(ROOT)/usr/platform/sun4u/include
 CERRWARN += -_gcc=-Wno-unused-variable
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 LDFLAGS += -R/usr/lib/efcode/$(MACH64) -M mapfile64
 
 LIBS	= fcode.so fcdriver.so
--- old/usr/src/lib/fm/libfmd_log/Makefile.com	Thu Aug  8 11:14:06 2019
+++ new/usr/src/lib/fm/libfmd_log/Makefile.com	Thu Aug  8 11:14:06 2019
@@ -40,7 +40,7 @@
 CPPFLAGS += -I../common -I.
 CFLAGS += $(CCVERBOSE) $(C_BIGPICFLAGS)
 CFLAGS64 += $(CCVERBOSE) $(C_BIGPICFLAGS)
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 LDLIBS += -lexacct -lnvpair -lgen -lc
 
 LINTFLAGS = -msux
--- old/usr/src/lib/fm/libfmd_msg/Makefile.com	Thu Aug  8 11:14:08 2019
+++ new/usr/src/lib/fm/libfmd_msg/Makefile.com	Thu Aug  8 11:14:09 2019
@@ -42,7 +42,7 @@
 CFLAGS += $(CCVERBOSE) $(C_BIGPICFLAGS)
 CFLAGS64 += $(CCVERBOSE) $(C_BIGPICFLAGS)
 CERRWARN += -_gcc=-Wno-switch
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 SMOFF += all_func_returns
 
--- old/usr/src/lib/fm/libfmevent/Makefile.com	Thu Aug  8 11:14:10 2019
+++ new/usr/src/lib/fm/libfmevent/Makefile.com	Thu Aug  8 11:14:10 2019
@@ -61,7 +61,7 @@
 
 CERRWARN += -_gcc=-Wno-parentheses
 CERRWARN += -_gcc=-Wno-unused-function
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 
 FMLIBDIR=usr/lib/fm
 $(BUILD64)FMLIBDIR64=usr/lib/fm/$(MACH64)
--- old/usr/src/lib/fm/topo/libtopo/Makefile.com	Thu Aug  8 11:14:12 2019
+++ new/usr/src/lib/fm/topo/libtopo/Makefile.com	Thu Aug  8 11:14:12 2019
@@ -80,7 +80,7 @@
 CFLAGS += $(CCVERBOSE) $(C_BIGPICFLAGS)
 CFLAGS += -D_POSIX_PTHREAD_SEMANTICS
 CFLAGS64 += $(CCVERBOSE) $(C_BIGPICFLAGS)
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-switch
 CERRWARN += -_gcc=-Wno-parentheses
 
--- old/usr/src/lib/fm/topo/modules/Makefile.plugin	Thu Aug  8 11:14:14 2019
+++ new/usr/src/lib/fm/topo/modules/Makefile.plugin	Thu Aug  8 11:14:14 2019
@@ -58,7 +58,7 @@
 LINTFLAGS = -msux
 LINTFILES = $(MODULESRCS:%.c=%.ln) $(SHAREDSRCS:%.c=%.ln)
 
-CERRWARN += -_gcc=-Wno-uninitialized
+CERRWARN += $(CNOWARN_UNINIT)
 CERRWARN += -_gcc=-Wno-parentheses
 
 APIMAP = ../../../libtopo/common/topo_mod.map
--- old/usr/src/lib/gss_mechs/mech_dh/backend/Makefile.com	Thu Aug  8 11:14:15 2019
+++ new/usr/src/lib/gss_mechs/mech_dh/backend/Makefile.com	Thu Aug  8 11:14:15 2019
@@ -49,7 +49,7 @@
 
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-unused-variable
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # needs work
 SMATCH=off
--- old/usr/src/lib/gss_mechs/mech_dummy/Makefile.com	Thu Aug  8 11:14:17 2019
+++ new/usr/src/lib/gss_mechs/mech_dummy/Makefile.com	Thu Aug  8 11:14:18 2019
@@ -42,7 +42,7 @@
 	    	-I$(ROOT)/usr/include/gssapi
 
 CERRWARN +=	-_gcc=-Wno-parentheses
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 
 # needs work
 SMATCH=off
--- old/usr/src/lib/gss_mechs/mech_krb5/Makefile.com	Thu Aug  8 11:14:19 2019
+++ new/usr/src/lib/gss_mechs/mech_krb5/Makefile.com	Thu Aug  8 11:14:19 2019
@@ -255,7 +255,7 @@
 
 CERRWARN +=	-_gcc=-Wno-unused-function
 CERRWARN +=	-_gcc=-Wno-type-limits
-CERRWARN +=	-_gcc=-Wno-uninitialized
+CERRWARN +=	$(CNOWARN_UNINIT)
 CERRWARN +=	-_gcc=-Wno-parentheses
 CERRWARN +=	-_gcc=-Wno-unused-variable
 CERRWARN +=	-_gcc=-Wno-unused-but-set-variable
